Package org.apache.cxf.common.util

# Interface ASMHelper.ClassWriter

Enclosing interface:
  ASMHelper

public static interface ASMHelper.ClassWriter

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `toByteArray()`
  `void`
  `visit(int v15, int i, String newClassName, String object, String string, String[] object2)`
  `ASMHelper.AnnotationVisitor`
  `visitAnnotation(String cls, boolean t)`
  `void`
  `visitEnd()`
  `ASMHelper.FieldVisitor`
  `visitField(int accPrivate, String fieldName, String classCode, String fieldDescriptor, Object object)`
  `ASMHelper.MethodVisitor`
  `visitMethod(int accPublic, String string, String string2, String s3, String[] s4)`
  `void`
  `visitSource(String arg0, String arg1)`

- ## Method Details

  - ### visitAnnotation

    ASMHelper.AnnotationVisitor visitAnnotation(String cls, boolean t)

  - ### visitField

    ASMHelper.FieldVisitor visitField(int accPrivate, String fieldName, String classCode, String fieldDescriptor, Object object)

  - ### visitEnd

    void visitEnd()

  - ### toByteArray

    byte[] toByteArray()

  - ### visitMethod

    ASMHelper.MethodVisitor visitMethod(int accPublic, String string, String string2, String s3, String[] s4)

  - ### visit

    void visit(int v15, int i, String newClassName, String object, String string, String[] object2)

  - ### visitSource

    void visitSource(String arg0, String arg1)